Reboot PE Device
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.21317.1.3.2.2.6
Reboot PE Device
Identification
{1 3 6 1 4 1 21317 1 3 2 2 6}
| Value | Name |
|---|---|
| 1 | no |
| 2 | yes |
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.21317.1.3.2.2.6.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
rebootDevice OBJECT-TYPE
SYNTAX INTEGER { no(1), yes(2) }
MAX-ACCESS read-write
STATUS current
DESCRIPTION "Reboot PE Device"
::= { pe 6 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Reboot PE Device
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: current.
Names: rebootDevice
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"rebootDevice",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"no",
"(",
"1",
")",
",",
"yes",
"(",
"2",
")",
"}",
"MAX-ACCESS",
"read-write",
"STATUS",
"current",
"DESCRIPTION",
"\"Reboot PE Device\"",
"::=",
"{",
"pe",
"6",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"no",
1
],
[
"yes",
2
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"current"
],
[
"DESCRIPTION",
"Reboot PE Device"
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive.
Module: ATEN-PE-CFG
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'NOTIFICATION-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString'], 'SNMP-USER-BASED-SM-MIB': ['KeyChange']}Related source files and packages:
Vendor MIB copy from the LibreNMS archive.
Module: ATEN-PE-CFG-STR
Same published definition (formatting differs; exact original is in the source file)
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'NOTIFICATION-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString'], 'SNMP-USER-BASED-SM-MIB': ['KeyChange']}Vendor MIB copy from the Observium Community archive.
Module: ATEN-PE-CFG
Same published definition (formatting differs; exact original is in the source file)
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'NOTIFICATION-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString'], 'SNMP-USER-BASED-SM-MIB': ['KeyChange']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.21317.1.3.2.2.1 | userManagement | 1 | 49 | |
| 1.3.6.1.4.1.21317.1.3.2.2.2 | control | 3 | 205 | |
| 1.3.6.1.4.1.21317.1.3.2.2.3 | deviceManagement | 2 | 106 | |
| 1.3.6.1.4.1.21317.1.3.2.2.4 | deviceLock | 2 | 2 | |
| 1.3.6.1.4.1.21317.1.3.2.2.5 | customTrapMSG | 0 | 0 |